webpackJsonp([10],{

/***/ 826:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SaleCollectPageModule", function() { return SaleCollectPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__collect__ = __webpack_require__(864);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(408);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 对账汇总懒加载
* by zxl 20180917
* */




var SaleCollectPageModule = /** @class */ (function () {
    function SaleCollectPageModule() {
    }
    SaleCollectPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__collect__["a" /* SaleCollectPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__collect__["a" /* SaleCollectPage */])
            ]
        })
    ], SaleCollectPageModule);
    return SaleCollectPageModule;
}());

//# sourceMappingURL=collect.module.js.map

/***/ }),

/***/ 864:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SaleCollectPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 对账汇总
* 用于展示销售情况，毛利情况，具体销售方式的销售金额（如：现金，支付宝等）
* By zxl 20180913
* */





var SaleCollectPage = /** @class */ (function () {
    function SaleCollectPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.saleConfig = {};
        this.lxList = [{ name: '近3天', value: '1' }, { name: '近3周', value: '2' },
            { name: '近3月', value: '3' }, { name: '近3年', value: '4' }];
        this.lx = '';
        this.isLoading = true;
        this.isNoResult = false;
        this.saleStyleTitle = ''; //销售类型标题
        this.saleStyleData = []; //销售类型数据
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
        this.lx = this.lxList[0].value;
    }
    /*
      *  进入页面时，加载数据
      * */
    SaleCollectPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
    * 初始化获取数据
    * */
    SaleCollectPage.prototype.init = function (refresher) {
        this.getData(refresher); //获取数据
    };
    /*
    *  改变机构
    * */
    SaleCollectPage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            if (self.currentOrg.jgid !== data.jgid) {
                self.currentOrg = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /*
    * 上拉刷新获取数据
    * */
    SaleCollectPage.prototype.doRefresh = function (refresher) {
        this.init(refresher);
    };
    /*切换segment,每次切换重新获取数据*/
    SaleCollectPage.prototype.changeSgm = function () {
        this.init();
    };
    /*获取后台数据*/
    SaleCollectPage.prototype.getData = function (refresher) {
        var self = this;
        self.isLoading = true;
        var arg1 = { cmd: __WEBPACK_IMPORTED_MODULE_4__providers_app_config__["a" /* AppConfig */].API.sale, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        var arg2 = { cmd: __WEBPACK_IMPORTED_MODULE_4__providers_app_config__["a" /* AppConfig */].API.collect, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        self.appService.httpPost(arg1, function (data1) {
            self.appService.httpPost(arg2, function (data2) {
                if (data1 && data1.length > 0 && data2 && data2.length > 0) {
                    self.isNoResult = false;
                }
                else {
                    self.isNoResult = true;
                }
                self.saleStyleTitle = self.getSaleStyleTitle();
                self.saleStyleData = data2;
                self.saleConfig = self.formatData(data1);
                if (refresher)
                    refresher.complete();
                self.isLoading = false;
            });
        });
    };
    /*格式化报表数据*/
    SaleCollectPage.prototype.formatData = function (data) {
        var xData = this.getXData(data);
        var saleSData = [data[0].hsje, data[1].hsje, data[2].hsje];
        var mlSData = [data[0].ml, data[1].ml, data[2].ml];
        return {
            color: ['#3398DB', '#D14A61'],
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'cross'
                }
            },
            grid: {
                left: '2%',
                right: '3%',
                bottom: '3%',
                containLabel: true
            },
            legend: {
                data: ['销售额', '毛利额']
            },
            xAxis: [
                {
                    type: 'category',
                    axisTick: {
                        alignWithLabel: true
                    },
                    data: xData
                }
            ],
            yAxis: [
                {
                    type: 'value',
                    name: '销售额(元)',
                    position: 'left'
                },
                {
                    type: 'value',
                    name: '毛利额(元)',
                    position: 'right'
                }
            ],
            series: [
                {
                    name: '销售额',
                    type: 'bar',
                    data: saleSData,
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            //position: 'insideTop',
                            //distance: 20,
                            formatter: function (params) {
                                if (params.value > 0) {
                                    return params.value;
                                }
                                else {
                                    return '';
                                }
                            }
                        }
                    }
                },
                {
                    name: '毛利额',
                    type: 'line',
                    yAxisIndex: 1,
                    data: mlSData
                }
            ]
        };
    };
    SaleCollectPage.prototype.getXData = function (data) {
        var xData;
        if (this.lx == '1') {
            xData = [data[0].rq, data[1].rq, data[2].rq];
        }
        else if (this.lx == '2') {
            xData = ['上上周', '上周', '本周'];
        }
        else if (this.lx == '3') {
            xData = [data[0].monthstr + '月', data[1].monthstr + '月', data[2].monthstr + '月'];
        }
        else if (this.lx == '4') {
            xData = [data[0].yearstr + '年', data[1].yearstr + '年', data[2].yearstr + '年'];
        }
        return xData;
    };
    /*格式化销售金额*/
    SaleCollectPage.prototype.getSaleStyleTitle = function () {
        var self = this;
        var current = __WEBPACK_IMPORTED_MODULE_2_lodash__["find"](self.lxList, function (e) {
            return e.value == self.lx;
        });
        return current.name;
    };
    SaleCollectPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-sale-collect',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\sale\collect\collect.html"*/'<ion-header>\n  <ion-navbar  color="primary">\n    <ion-title>对账汇总</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="{{item.value}}" *ngFor="let item of lxList">\n        {{item.name}}\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="collect" >\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div *ngIf="!isLoading && !isNoResult">\n    <ion-card>\n      <ion-card-content>\n        <echart-pie [config]="saleConfig" [cheight]="220"></echart-pie>\n      </ion-card-content>\n    </ion-card>\n    <ion-card class="sale-style">\n      <h2 text-center>{{saleStyleTitle}}销售情况</h2>\n      <ion-row *ngFor="let item of saleStyleData">\n        <ion-col col-6 text-center>{{item.jsfsmch}}</ion-col>\n        <ion-col col-6>￥{{item.paysjje}}</ion-col>\n      </ion-row>\n    </ion-card>\n  </div>\n  <div *ngIf="!isLoading && isNoResult" class="result_empty">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\sale\collect\collect.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_3__providers_app_service__["a" /* AppService */]])
    ], SaleCollectPage);
    return SaleCollectPage;
}());

//# sourceMappingURL=collect.js.map

/***/ })

});
//# sourceMappingURL=10.js.map