webpackJsonp([12],{

/***/ 824:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HistoryPageModule", function() { return HistoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__history__ = __webpack_require__(862);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HistoryPageModule = /** @class */ (function () {
    function HistoryPageModule() {
    }
    HistoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__history__["a" /* HistoryPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__history__["a" /* HistoryPage */])
            ]
        })
    ], HistoryPageModule);
    return HistoryPageModule;
}());

//# sourceMappingURL=history.module.js.map

/***/ }),

/***/ 862:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var HistoryPage = /** @class */ (function () {
    function HistoryPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.showQuery = false;
        this.userData = {};
        this.cond = {
            patientName: '',
            srq: '',
            erq: ''
        };
        this.pageIndex = 1;
        this.loading = true;
        this.auditedList = [];
        this.scrollFlag = true;
        this.currentOrg = {}; //当前选定机构
        this.loadingText = '正在卖力加载中......';
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    HistoryPage.prototype.ionViewWillEnter = function () {
        this.getData("");
    };
    HistoryPage.prototype.doRefresh = function (refresher) {
        this.pageIndex = 1;
        this.auditedList = [];
        this.getData(refresher);
    };
    HistoryPage.prototype.loadMore = function (event) {
        var _this = this;
        this.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.auditedList,
            json: {
                usid: this.userData.usid,
                jgid: this.currentOrg.jgid,
                rows: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                page: this.pageIndex,
                patientName: this.cond.patientName,
                srq: this.cond.srq,
                erq: this.cond.erq
            }
        };
        this.appService.httpPost(args, function (data) {
            if (data) {
                _this.auditedList = _this.auditedList.concat(data);
            }
            if (event)
                event.complete();
            _this.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            if (!_this.scrollFlag) {
                _this.loading = true;
                _this.loadingText = '没有更多数据了!';
            }
            // this.loading = false;
            // this.showQuery=false;
        });
    };
    HistoryPage.prototype.mycond = function () {
        this.pageIndex = 1;
        this.getData("");
    };
    //得到已审方列表
    HistoryPage.prototype.getData = function (refresher) {
        var _this = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.auditedList,
            json: {
                usid: this.userData.usid,
                jgid: this.currentOrg.jgid,
                rows: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                page: this.pageIndex,
                patientName: this.cond.patientName,
                srq: this.cond.srq,
                erq: this.cond.erq
            }
        };
        this.appService.httpPost(args, function (data) {
            if (data) {
                _this.auditedList = data;
            }
            if (refresher)
                refresher.complete();
            _this.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            if (!_this.scrollFlag) {
                _this.loading = true;
                _this.loadingText = '没有更多数据了!';
            }
            else {
                _this.loading = false;
            }
            _this.showQuery = false;
        });
    };
    ///跳转页面
    HistoryPage.prototype.goAudit = function (item) {
        this.navCtrl.push('AuditPage', { data: item });
    };
    HistoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'history-page',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\remote-audit\history\history.html"*/'<ion-header class="my-header">\n  <ion-navbar color="primary">\n    <ion-title>审方历史</ion-title>\n    <button class="my-button" (click)="showQuery=showQuery?false:true">\n      <ion-icon name="search"></ion-icon>\n    </button>\n  </ion-navbar>\n  <div *ngIf="showQuery">\n    <ion-item>\n      <ion-label position="floating">患者名称:</ion-label>\n      <ion-input [(ngModel)]="cond.patientName"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label position="floating">开始日期:</ion-label>\n      <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="cond.srq"></ion-datetime>\n    </ion-item>\n    <ion-item>\n      <ion-label position="floating">结束日期:</ion-label>\n      <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="cond.erq"></ion-datetime>\n    </ion-item>\n    <button  ion-button block (click)="mycond()">确定</button>\n  </div>\n</ion-header>\n<ion-content class="history">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div class="history-info" *ngFor="let item of auditedList" (click)="goAudit(item)">\n    <div class="history-context">\n      <ion-row>\n        <ion-col col-4>药店名称</ion-col>\n        <ion-col col-8>{{item.orgname}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>处方单号</ion-col>\n        <ion-col col-8>{{item.djbh}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>审核日期</ion-col>\n        <ion-col col-8>{{item.shenhrq}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>会员卡号</ion-col>\n        <ion-col col-8>{{item.cardbh}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>患者姓名</ion-col>\n        <ion-col col-8>{{item.fzname}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>联系电话</ion-col>\n        <ion-col col-8>{{item.telf}}</ion-col>\n      </ion-row>\n    </div>\n    <ion-row>\n      <ion-col col-5 style="padding-left: 1rem">查看审核</ion-col>\n      <ion-col col-5><div *ngIf="item.iszx==\'4\'" style="color: #01AAED">通过</div>\n        <div *ngIf="item.iszx==\'5\'" style="color: #FF5722">驳回</div></ion-col>\n      <ion-col col-1 text-right>\n        <ion-icon class="right-icon" mode="ios" name="ios-arrow-forward"></ion-icon>\n      </ion-col>\n    </ion-row>\n  </div>\n  <div class="result_empty" *ngIf="auditedList.length==0 && !loading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="loading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\remote-audit\history\history.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1__providers_app_service__["a" /* AppService */]])
    ], HistoryPage);
    return HistoryPage;
}());

//# sourceMappingURL=history.js.map

/***/ })

});
//# sourceMappingURL=12.js.map