webpackJsonp([17],{

/***/ 819:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PerformancePageModule", function() { return PerformancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__performance__ = __webpack_require__(857);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 员工销售懒加载
* by zxl 20180917
* */



var PerformancePageModule = /** @class */ (function () {
    function PerformancePageModule() {
    }
    PerformancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__performance__["a" /* PerformancePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__performance__["a" /* PerformancePage */])
            ]
        })
    ], PerformancePageModule);
    return PerformancePageModule;
}());

//# sourceMappingURL=performance.module.js.map

/***/ }),

/***/ 857:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PerformancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 员工销售首页
* By zxl 20180913
* */




var PerformancePage = /** @class */ (function () {
    function PerformancePage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.lx = '1'; //1:当天 2:当周 3:当月 4:当年
        this.saleData = [];
        this.scrollFlag = false;
        this.currentOrg = {};
        this.any = {};
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    /*
     *  进入页面时，加载数据
     * */
    PerformancePage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    PerformancePage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    PerformancePage.prototype.doRefresh = function (refresher) {
        this.saleData = [];
        this.init(refresher);
    };
    /**
     * 获取员工销售列表
     * @param refresher
     */
    PerformancePage.prototype.getData = function (refresher) {
        var self = this;
        self.args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.performace,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: this.pageIndex
            }
        };
        self.appService.httpPost(self.args, function (data) {
            if (data) {
                self.saleData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
        // let result = [];
        // setTimeout(function () {
        //   for (var i = 0; i< 10; i++){
        //     result.push({chbje: 2018.60, ywy: "2", hsje: 89206.09, ml: 86735.70, ywyname: "小菜" +i
        //     });
        //   }
        //   self.saleData = result;
        //   if(refresher) refresher.complete();
        //   self.scrollFlag = result.length < AppConfig.pageSize? false: true;
        //   self.isLoading = false;
        // },3000);
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    PerformancePage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        self.args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.performace,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: this.pageIndex
            }
        };
        self.appService.httpPost(self.args, function (data) {
            if (data) {
                self.saleData = self.saleData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    /**
     * 获取员工销售详情
     * @param item 员工单项
     */
    PerformancePage.prototype.goDetail = function (item) {
        this.navCtrl.push('PerformDetailPage', { data: item, lx: this.lx });
    };
    /**
     * 时间segment选择切换
     */
    PerformancePage.prototype.changeDate = function () {
        this.saleData = [];
        this.init();
    };
    /**
     * 门店机构切换
     */
    PerformancePage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.saleData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    PerformancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-performance',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\performance\performance.html"*/'<ion-header class="performance-header">\n  <ion-navbar color="primary">\n    <ion-title>员工销售</ion-title>\n  </ion-navbar>\n  <div padding  class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" class="segment-content" mode="ios" color="basic"\n                 (ionChange)="changeDate($event)">\n      <ion-segment-button value="1">\n        当天\n      </ion-segment-button>\n      <ion-segment-button value="2">\n        近7天\n      </ion-segment-button>\n      <ion-segment-button value="3">\n        近30天\n      </ion-segment-button>\n      <ion-segment-button value="4">\n        近一年\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n<ion-content class="performance-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list *ngIf="saleData.length!=0">\n    <ion-row class="data-item">\n      <ion-col col-4>\n        姓名\n      </ion-col>\n      <ion-col col-4>\n        销售额\n      </ion-col>\n      <ion-col  col-4 >\n        毛利额\n      </ion-col>\n    </ion-row>\n    <ion-row *ngFor="let item of saleData"  class="data-item">\n      <ion-col  col-4 >\n        <span>{{item.ywyname}}</span>\n      </ion-col>\n      <ion-col col-4 >\n        <span style="color: #ff0000;">\n          <span *ngIf="item.hsje">￥</span>\n          {{item.hsje}}\n        </span>\n      </ion-col>\n      <ion-col col-4 >\n        <span><span *ngIf="item.ml">￥</span>\n          {{item.ml}}\n        </span>\n      </ion-col>\n      <!--<ion-col col-1 col-sm-1 col-md-1 col-lg-1 col-xl-1>-->\n        <!--<ion-icon class="right-icon" mode="ios" name="ios-arrow-forward"></ion-icon>-->\n      <!--</ion-col>-->\n    </ion-row>\n  </ion-list>\n  <div class="result_empty" *ngIf="saleData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\performance\performance.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], PerformancePage);
    return PerformancePage;
}());

//# sourceMappingURL=performance.js.map

/***/ })

});
//# sourceMappingURL=17.js.map