webpackJsonp([2],{

/***/ 834:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UnsalablePageModule", function() { return UnsalablePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__unsalable__ = __webpack_require__(872);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 滞销页懒加载
* by zxl 20180917
* */



var UnsalablePageModule = /** @class */ (function () {
    function UnsalablePageModule() {
    }
    UnsalablePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__unsalable__["a" /* UnsalablePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__unsalable__["a" /* UnsalablePage */])
            ]
        })
    ], UnsalablePageModule);
    return UnsalablePageModule;
}());

//# sourceMappingURL=unsalable.module.js.map

/***/ }),

/***/ 872:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UnsalablePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 滞销
* By zxl 20180913
* */




var UnsalablePage = /** @class */ (function () {
    function UnsalablePage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.nosalelx = '1'; //1:30 2:60 3:90
        this.unsalableData = [];
        this.scrollFlag = true;
        this.currentOrg = {};
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
    }
    /*
     *  进入页面时，加载数据
     * */
    UnsalablePage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    UnsalablePage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    UnsalablePage.prototype.doRefresh = function (refresher) {
        this.unsalableData = [];
        this.init(refresher);
    };
    /**
     * 获取货品滞销列表
     * @param refresher
     */
    UnsalablePage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.unsalable,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                nosalelx: self.nosalelx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.unsalableData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    UnsalablePage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.unsalable,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                nosalelx: self.nosalelx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.unsalableData = self.unsalableData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    /**
     * 获取详情
     * @param item 药品单项
     */
    UnsalablePage.prototype.goDetail = function (item) {
        this.navCtrl.push('UnsalableDetailPage', { data: item, lx: this.nosalelx });
    };
    /**
     * 时间segment选择切换
     */
    UnsalablePage.prototype.changeDate = function () {
        this.isLoading = true;
        this.pageIndex = 1;
        this.unsalableData = [];
        this.getData();
    };
    /**
     * 门店机构切换
     */
    UnsalablePage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.pageIndex = 1;
            self.unsalableData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    UnsalablePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-unsalable',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\unsalable\unsalable.html"*/'<ion-header class="unsalable-header">\n  <ion-navbar color="primary">\n    <ion-title>滞销品种</ion-title>\n  </ion-navbar>\n  <div padding  class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="nosalelx" class="segment-content" mode="ios" color="basic"\n                 (ionChange)="changeDate($event)">\n      <ion-segment-button value="1">\n        30天滞销\n      </ion-segment-button>\n      <ion-segment-button value="2">\n        60天滞销\n      </ion-segment-button>\n      <ion-segment-button value="3">\n        90天滞销\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="unsalable-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <div class="unsalable-info" *ngFor="let item of unsalableData" (click)="goDetail(item)">\n    <div class="unsalable-title">\n      <div class="context" text-center>\n        <span *ngIf="item.spbh">({{item.spbh}})</span>\n        {{item.spmch}}\n        {{item.shpgg}}<span *ngIf="item.shpgg&&item.dw">/</span>{{item.dw}}\n      </div>\n      <div class="desc" text-center>{{item.shengccj}}</div>\n    </div>\n    <div class="unsalable-context">\n      <ion-row>\n        <ion-col col-5>库存</ion-col>\n        <ion-col col-7>{{item.kcshl}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>滞销天数</ion-col>\n        <ion-col col-7 class="unsalable-day">{{item.nosaledays}}天</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>最后销售时间</ion-col>\n        <ion-col col-7>{{item.lastsaledate}}</ion-col>\n      </ion-row>\n    </div>\n    <ion-row>\n      <ion-col col-10 style="padding-left: 1rem">查看详情</ion-col>\n      <ion-col col-1 text-right>\n        <ion-icon class="right-icon" mode="ios" name="ios-arrow-forward"></ion-icon>\n      </ion-col>\n    </ion-row>\n  </div>\n  <div class="result_empty" *ngIf="unsalableData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\unsalable\unsalable.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], UnsalablePage);
    return UnsalablePage;
}());

//# sourceMappingURL=unsalable.js.map

/***/ })

});
//# sourceMappingURL=2.js.map