webpackJsonp([20],{

/***/ 816:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NearEffectPageModule", function() { return NearEffectPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__near_effect__ = __webpack_require__(854);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 近效期首页懒加载
* by zxl 20180917
* */



var NearEffectPageModule = /** @class */ (function () {
    function NearEffectPageModule() {
    }
    NearEffectPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__near_effect__["a" /* NearEffectPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__near_effect__["a" /* NearEffectPage */])
            ]
        })
    ], NearEffectPageModule);
    return NearEffectPageModule;
}());

//# sourceMappingURL=near-effect.module.js.map

/***/ }),

/***/ 854:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NearEffectPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 近效期
* By zxl 20180913
* */




var NearEffectPage = /** @class */ (function () {
    function NearEffectPage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.nearEffectData = [];
        this.scrollFlag = false;
        this.pageIndex = 1;
        this.storeOrder = '3'; // 3按库存金额倒序;4:库存金额正序;
        this.effectOrder = '2'; //1 按效期倒序; 2按效期正序;
        this.orderlx = '2'; //标记接口传参
        this.lx = '1'; //1:小于30天；2:大于30小于90；3：大于90小于180；4：已过期
        this.currentOrg = '';
        this.isLoading = true; //标记是否显示加载框
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    /**
     * 进入页面时，加载数据
     */
    NearEffectPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    NearEffectPage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    NearEffectPage.prototype.doRefresh = function (refresher) {
        this.nearEffectData = [];
        this.init(refresher);
    };
    /**
     * 获取近效期列表
     * @param refresher
     */
    NearEffectPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.nearEffect,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                orderlx: self.orderlx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex,
                lx: self.lx
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.nearEffectData = data;
                if (refresher)
                    refresher.complete();
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                self.isLoading = false;
            }
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    NearEffectPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.nearEffect,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                orderlx: self.orderlx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex,
                lx: self.lx
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.nearEffectData = self.nearEffectData.concat(data);
                if (infiniteScroll) {
                    infiniteScroll.complete();
                    if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                        infiniteScroll.enable(false);
                    }
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                self.isLoading = false;
            }
        });
    };
    /**
     * 时间segment选择切换
     */
    NearEffectPage.prototype.changeDate = function () {
        this.pageIndex = 1;
        this.nearEffectData = [];
        this.getData();
    };
    /**
     * 门店机构切换
     */
    NearEffectPage.prototype.changeOrg = function () {
        var _this = this;
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            _this.pageIndex = 1;
            _this.nearEffectData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    /**
     *改变效期排序
     */
    NearEffectPage.prototype.changeEffectOrder = function () {
        var self = this;
        if (self.effectOrder == '1') {
            self.effectOrder = '2';
        }
        else {
            self.effectOrder = '1';
        }
        self.nearEffectData = [];
        self.orderlx = self.effectOrder;
        self.init();
    };
    /**
     * 改变库存排序
     */
    NearEffectPage.prototype.changeStoreOrder = function () {
        var self = this;
        if (self.storeOrder == '3') {
            self.storeOrder = '4';
        }
        else {
            self.storeOrder = '3';
        }
        self.nearEffectData = [];
        self.orderlx = self.storeOrder;
        self.init();
    };
    NearEffectPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-near-effect',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\near-effect\near-effect.html"*/'<ion-header class="near-effect-header">\n  <ion-navbar color="primary">\n    <ion-title>近效期品种</ion-title>\n  </ion-navbar>\n  <div padding  class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" class="segment-content" mode="ios" color="basic"\n                 (ionChange)="changeDate($event)">\n      <ion-segment-button value="1">\n        近一个月\n      </ion-segment-button>\n      <ion-segment-button value="2" >\n        近1-3个月\n      </ion-segment-button>\n      <ion-segment-button value="3">\n        近3-6个月\n      </ion-segment-button>\n      <ion-segment-button value="4">\n        已过期\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content  class="near-effect-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list *ngIf="nearEffectData.length !=0">\n    <ion-row class="order-row">\n      <ion-col col-3 class="title">编码/品名</ion-col>\n      <ion-col col-2 class="title">批号</ion-col>\n      <ion-col col-3 class="title" (click)="changeEffectOrder()"> 有效期\n        <ion-icon *ngIf="effectOrder==\'1\'"  name="md-arrow-dropdown" [ngClass]="{\'current\':effectOrder==orderlx}"></ion-icon>\n        <ion-icon *ngIf="effectOrder==\'2\'"  name="md-arrow-dropup" [ngClass]="{\'current\':effectOrder==orderlx}"></ion-icon>\n      </ion-col>\n      <ion-col col-2 class="title">库存</ion-col>\n      <ion-col col-2 class="title" (click)="changeStoreOrder()">\n        库存额\n        <ion-icon *ngIf="storeOrder==\'3\'"  name="md-arrow-dropdown" [ngClass]="{\'current\':storeOrder==orderlx}"></ion-icon>\n        <ion-icon *ngIf="storeOrder==\'4\'"  name="md-arrow-dropup" [ngClass]="{\'current\':storeOrder==orderlx}"></ion-icon>\n      </ion-col>\n    </ion-row>\n    <ion-row *ngFor="let item of nearEffectData; let i = index;"  [ngClass]="{\'show-even\': i%2==1,\'data-item\': i%2==0}">\n      <ion-col col-3>\n        <span class="title">{{item.spbh}}/{{item.spmch}}</span>\n      </ion-col>\n      <ion-col col-2>\n        <span class="title">{{item.pihao}}</span>\n      </ion-col>\n      <ion-col col-3>\n        <span class="title">{{item.xiaoq}}</span>\n      </ion-col>\n      <ion-col col-2>{{item.shl}}</ion-col>\n      <ion-col col-2>\n        <span class="title">￥{{item.kcje}}</span>\n      </ion-col>\n    </ion-row>\n  </ion-list>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n  <div class="result_empty" *ngIf="nearEffectData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\near-effect\near-effect.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], NearEffectPage);
    return NearEffectPage;
}());

//# sourceMappingURL=near-effect.js.map

/***/ })

});
//# sourceMappingURL=20.js.map