webpackJsonp([25],{

/***/ 811:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InventoryHistroyModule", function() { return InventoryHistroyModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__inventory_histroy__ = __webpack_require__(849);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InventoryHistroyModule = /** @class */ (function () {
    function InventoryHistroyModule() {
    }
    InventoryHistroyModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__inventory_histroy__["a" /* InventoryHistroyPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__inventory_histroy__["a" /* InventoryHistroyPage */])
            ]
        })
    ], InventoryHistroyModule);
    return InventoryHistroyModule;
}());

//# sourceMappingURL=inventory-histroy.module.js.map

/***/ }),

/***/ 849:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InventoryHistroyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var InventoryHistroyPage = /** @class */ (function () {
    function InventoryHistroyPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.cond = {
            patientName: '',
            srq: '',
            erq: ''
        };
        this.scrollFlag = true;
        this.pageIndex = 1;
        this.loading = true;
        this.currentOrg = {}; //当前选定机构
        this.inventoryHistroyLists = [];
        this.loadingText = '正在卖力加载中......';
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    InventoryHistroyPage.prototype.ionViewWillEnter = function () {
        this.getData("");
    };
    InventoryHistroyPage.prototype.doRefresh = function (refresher) {
        this.pageIndex = 1;
        this.inventoryHistroyLists = [];
        this.getData(refresher);
    };
    InventoryHistroyPage.prototype.mycond = function () {
        this.pageIndex = 1;
        this.getData("");
    };
    //得到盘点记录列表
    InventoryHistroyPage.prototype.getData = function (refresher) {
        var self = this;
        self.loading = true;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.inventoryHistory,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageIndex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                if (data[0].data_json) {
                    self.inventoryHistroyLists = data[0].data_json;
                }
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data[0].data_json.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.loading = false;
            if (!self.scrollFlag) {
                self.loading = true;
                self.loadingText = '没有更多数据了!';
            }
            else {
                self.loading = false;
            }
        });
    };
    ///跳转页面
    InventoryHistroyPage.prototype.goInHisDetail = function (item) {
        this.navCtrl.push('InventoryHistroyDetailPage', { data: item });
    };
    InventoryHistroyPage.prototype.loadMore = function (event) {
        var self = this;
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.inventoryHistory,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageIndex: self.pageIndex,
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                if (data[0].data_json) {
                    self.inventoryHistroyLists = self.inventoryHistroyLists.concat(data[0].data_json);
                }
            }
            if (event)
                event.complete();
            self.scrollFlag = data[0].data_json.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            if (!self.scrollFlag) {
                self.loading = true;
                self.loadingText = '没有更多数据了!';
            }
        });
    };
    InventoryHistroyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'inventory-histroy-page',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\inventory-infor\inventory-histroy\inventory-histroy.html"*/'<ion-header class="my-header">\n  <ion-navbar color="primary">\n    <ion-title>盘点记录</ion-title>\n    \n  </ion-navbar>\n</ion-header>\n<ion-content class="inventory-histroy-list">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div class="inventory-histroy-list-info" *ngFor="let item of inventoryHistroyLists" (click)="goInHisDetail(item)">\n    <div class="inventory-histroy-list-context">\n      <ion-row>\n        <ion-col col-6>\n          <div class="inventory-top">盘点日期</div>\n          <div class="inventory-under">{{item.check_date}}</div>\n        </ion-col>\n        <ion-col col-6 style="margin-top: 5px;" text-right>\n          <span class="font-icon-{{item.check_state}}">{{item.check_state=="2"?"盘点完成":"盘点报废"}}</span>\n          <ion-icon class="right-icon" mode="ios" name="ios-arrow-forward" style="margin-left: 10px;"></ion-icon>\n        </ion-col>\n      </ion-row>\n    </div>\n  </div>\n  <div class="result_empty" *ngIf="inventoryHistroyLists.length==0 && !loading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="loading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\inventory-infor\inventory-histroy\inventory-histroy.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */]])
    ], InventoryHistroyPage);
    return InventoryHistroyPage;
}());

//# sourceMappingURL=inventory-histroy.js.map

/***/ })

});
//# sourceMappingURL=25.js.map