webpackJsonp([29],{

/***/ 807:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomPageModule", function() { return CustomPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__custom__ = __webpack_require__(845);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(408);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 客情分析懒加载
* by zxl 20180917
* */




var CustomPageModule = /** @class */ (function () {
    function CustomPageModule() {
    }
    CustomPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__custom__["a" /* CustomPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__custom__["a" /* CustomPage */])
            ]
        })
    ], CustomPageModule);
    return CustomPageModule;
}());

//# sourceMappingURL=custom.module.js.map

/***/ }),

/***/ 845:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CustomPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_lodash__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 客情分析页面
* By zxl 20180913
* */





var CustomPage = /** @class */ (function () {
    function CustomPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.title = ''; //标题
        this.currentFlow = ''; //当前维度客流
        this.lxList = [{ name: '当天', value: '1' }, { name: '昨天', value: '2' },
            { name: '当周', value: '3' }, { name: '当月', value: '4' }, { name: '当年', value: '5' }];
        this.lx = ''; //1:当天 2:昨天 3:当周 4:当月 5:当年 6:近7天 7:近四周 8:近12个月
        this.isLoading = true;
        this.isNoResult = false;
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
        this.lx = this.lxList[0].value;
    }
    /*
    *  进入页面时，加载数据
    * */
    CustomPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    CustomPage.prototype.init = function () {
        this.isLoading = true;
        this.getData(); //获取数据
    };
    /*
    *  改变机构
    * */
    CustomPage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            if (self.currentOrg.jgid !== data.jgid) {
                self.currentOrg = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /*切换segment,每次切换重新获取数据*/
    CustomPage.prototype.changeSgm = function () {
        this.init();
    };
    /*获取后台数据*/
    CustomPage.prototype.getData = function () {
        var self = this;
        var targetLx; //获取仪表盘对比
        if (self.lx == '1') {
            targetLx = '1';
        }
        else {
            targetLx = (parseInt(self.lx) - 1).toString();
        }
        var arg1 = { cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.customDetail, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        var arg2 = { cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.saleCustom, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: targetLx } };
        self.appService.httpPost(arg1, function (data1) {
            self.appService.httpPost(arg2, function (data2) {
                self.isLoading = false;
                if (data1 && data1.length > 0) {
                    self.title = self.getTitle(data1);
                    var tmp = self.formatData(self.title, data1, data2);
                    self.config = tmp.config;
                    self.currentFlow = tmp.currentFlow;
                    //昨日仪表盘特殊处理
                    if (self.lx == '2') {
                        self.dashboardData = 0.8;
                    }
                    else {
                        self.dashboardData = self.getDashboardData(data2);
                    }
                }
                else {
                    self.isNoResult = true;
                }
            });
        });
    };
    CustomPage.prototype.getTitle = function (data) {
        var self = this;
        var current = __WEBPACK_IMPORTED_MODULE_4_lodash__["find"](self.lxList, function (e) { return e.value == self.lx; });
        return current.name + '客流量';
    };
    /*格式化报表数据*/
    CustomPage.prototype.formatData = function (title, data1, data2) {
        var xData = [];
        var sData = [];
        var currentFlow = 0;
        var currentFlow1 = 0;
        __WEBPACK_IMPORTED_MODULE_4_lodash__["each"](data1, function (e) {
            xData.push(e.hourstr + '点');
            sData.push(e.custflow);
            currentFlow1 = currentFlow1 + parseInt(e.custflow);
        });
        if (data2 && data2.length == 3) {
            if (this.lx == '2') {
                currentFlow = data2[1].allflow;
            }
            else {
                currentFlow = data2[2].allflow;
            }
        }
        else {
            currentFlow = currentFlow1;
        }
        return { config: this.getConfig(title, xData, sData), currentFlow: currentFlow };
    };
    /*获取仪表盘幅度*/
    CustomPage.prototype.getDashboardData = function (data) {
        var result;
        if (!data || data.length != 3) {
            result = 0.2;
        }
        else {
            var last = data[1] ? data[1].allflow : 0;
            var current = data[2] ? data[2].allflow : 0;
            if (current == 0) {
                result = 0;
            }
            else {
                if (!last || last == 0) {
                    result = 0.8;
                }
                else {
                    var c = parseFloat((current / last).toFixed(1));
                    if (c > 0.9) {
                        result = 0.9;
                    }
                    else if (c < 0.4) {
                        result = 0.4;
                    }
                    else {
                        result = c;
                    }
                }
            }
        }
        return result;
    };
    /*后台数据for*/
    CustomPage.prototype.getConfig = function (title, xData, sData) {
        return {
            color: ['#3398DB'],
            title: {
                left: 'center',
                text: title,
                textStyle: {
                    fontWeight: 'lighter'
                }
            },
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '2%',
                right: '3%',
                bottom: '3%',
                containLabel: true
            },
            xAxis: [
                {
                    type: 'category',
                    data: xData,
                    axisTick: {
                        alignWithLabel: true
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value'
                }
            ],
            series: [
                {
                    type: 'line',
                    barWidth: '60%',
                    data: sData,
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            formatter: function (params) {
                                if (params.value > 0) {
                                    return params.value;
                                }
                                else {
                                    return '';
                                }
                            }
                        }
                    }
                }
            ]
        };
    };
    CustomPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-custom',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\custom\custom.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>客情分析</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="{{item.value}}" *ngFor="let item of lxList">\n        {{item.name}}\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="custom">\n  <div *ngIf="!isLoading && !isNoResult">\n    <div class="custom_head">\n      <dashboard [data]="dashboardData"></dashboard>\n      <div class="custom_des">\n        <div class="custom_show"><span>{{currentFlow}}</span>人</div>\n        <div>{{title}}</div>\n      </div>\n    </div>\n    <div class="custom_head_title"></div>\n    <ion-card>\n      <ion-card-content>\n        <echart-pie [config]="config" [cheight]="220"></echart-pie>\n      </ion-card-content>\n    </ion-card>\n  </div>\n  <div *ngIf="!isLoading && isNoResult" class="result_empty">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\custom\custom.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */]])
    ], CustomPage);
    return CustomPage;
}());

//# sourceMappingURL=custom.js.map

/***/ })

});
//# sourceMappingURL=29.js.map