webpackJsonp([30],{

/***/ 806:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomReportPageModule", function() { return CustomReportPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__custom_report__ = __webpack_require__(844);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(408);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CustomReportPageModule = /** @class */ (function () {
    function CustomReportPageModule() {
    }
    CustomReportPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__custom_report__["a" /* CustomReportPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__custom_report__["a" /* CustomReportPage */]),
            ],
        })
    ], CustomReportPageModule);
    return CustomReportPageModule;
}());

//# sourceMappingURL=custom-report.module.js.map

/***/ }),

/***/ 844:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CustomReportPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_lodash__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*客流报表
* by zxl 20181016
* */





var CustomReportPage = /** @class */ (function () {
    function CustomReportPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.lxList = [{ name: '当天', value: '1' },
            { name: '近7天', value: '6' },
            { name: '近30天', value: '7' },
            { name: '近一年', value: '8' }];
        this.lx = ''; //1:当天  6:近7天 7:近四周 8:近12个月
        this.isLoading = true;
        this.isNoResult = false;
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
        this.lx = this.lxList[0].value;
    }
    /*
      *  进入页面时，加载数据
      * */
    CustomReportPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    CustomReportPage.prototype.init = function () {
        this.isLoading = true;
        this.getData(); //获取数据
    };
    /*
    *  改变机构
    * */
    CustomReportPage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            if (self.currentOrg.jgid !== data.jgid) {
                self.currentOrg = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /*切换segment,每次切换重新获取数据*/
    CustomReportPage.prototype.changeSgm = function () {
        this.init();
    };
    /*获取后台数据*/
    CustomReportPage.prototype.getData = function () {
        var self = this;
        var arg = { cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.customDetail, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        self.appService.httpPost(arg, function (data) {
            self.isLoading = false;
            if (data && data.length > 0) {
                self.config = self.formatData(data);
            }
            else {
                self.isNoResult = true;
            }
        });
    };
    /*后台数据for*/
    CustomReportPage.prototype.formatData = function (data) {
        var self = this;
        var current = __WEBPACK_IMPORTED_MODULE_4_lodash__["find"](self.lxList, function (e) { return e.value == self.lx; });
        var title = current.name + '客流量';
        var xData = [];
        var sData = [];
        __WEBPACK_IMPORTED_MODULE_4_lodash__["each"](data, function (e) {
            if (self.lx == '1') {
                xData.push(e.hourstr + '点');
            }
            else if (self.lx == '6') {
                xData.push(e.rq);
            }
            else if (self.lx == '7') {
                xData = ['上上上周', '上上周', '上周', '本周'];
            }
            else if (self.lx == '8') {
                xData.push(e.yearstr + '-' + e.monthstr);
            }
            sData.push(e.custflow);
        });
        return {
            color: ['#3398DB'],
            title: {
                left: 'center',
                text: title,
                textStyle: {
                    fontWeight: 'lighter'
                }
            },
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '2%',
                right: '3%',
                bottom: '3%',
                containLabel: true
            },
            xAxis: [
                {
                    type: 'category',
                    data: xData,
                    axisTick: {
                        alignWithLabel: true
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value'
                }
            ],
            series: [
                {
                    type: 'line',
                    barWidth: '60%',
                    data: sData,
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            formatter: function (params) {
                                if (params.value > 0) {
                                    return params.value;
                                }
                                else {
                                    return '';
                                }
                            }
                        }
                    }
                }
            ]
        };
    };
    CustomReportPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-custom-report',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\custom-report\custom-report.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>客流报表</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="{{item.value}}" *ngFor="let item of lxList">\n        {{item.name}}\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n\n<ion-content class="custom-report">\n  <div *ngIf="!isLoading && !isNoResult">\n    <ion-card>\n      <ion-card-content>\n        <echart-pie [config]="config" [cheight]="220"></echart-pie>\n      </ion-card-content>\n    </ion-card>\n  </div>\n  <div *ngIf="!isLoading && isNoResult" class="result_empty">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\custom-report\custom-report.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */]])
    ], CustomReportPage);
    return CustomReportPage;
}());

//# sourceMappingURL=custom-report.js.map

/***/ })

});
//# sourceMappingURL=30.js.map