webpackJsonp([4],{

/***/ 832:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StockPageModule", function() { return StockPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__stock__ = __webpack_require__(870);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 库存首页懒加载
* by zxl 20180917
* */



var StockPageModule = /** @class */ (function () {
    function StockPageModule() {
    }
    StockPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__stock__["a" /* StockPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__stock__["a" /* StockPage */])
            ]
        })
    ], StockPageModule);
    return StockPageModule;
}());

//# sourceMappingURL=stock.module.js.map

/***/ }),

/***/ 870:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StockPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_lodash__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 库存首页
* By zxl 20180913
* */





var StockPage = /** @class */ (function () {
    function StockPage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.stockData = [];
        this.scrollFlag = true;
        this.currentOrg = {};
        this.searchKey = '';
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
    }
    /*
     *  进入页面时，加载数据
     * */
    StockPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    StockPage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    StockPage.prototype.doRefresh = function (refresher) {
        this.pageIndex = 1;
        this.stockData = [];
        this.init(refresher);
    };
    /**
     * 获取货品滞销列表
     * @param refresher
     */
    StockPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.stock,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                zjm: self.searchKey,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.stockData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    StockPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.stock,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                zjm: self.searchKey,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.stockData = self.stockData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    /**
     * 获取详情
     * @param item 货品单项
     */
    StockPage.prototype.goDetail = function (item) {
        this.navCtrl.push('StockDetailPage', { data: item });
    };
    /**
     * 门店机构切换
     */
    StockPage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.pageIndex = 1;
            self.stockData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    /**
     * 关键字搜索
     */
    StockPage.prototype.goSearch = function () {
        this.pageIndex = 1;
        this.stockData = [];
        this.getData();
    };
    /**
     * 扫描二维码
     */
    StockPage.prototype.goScan = function () {
        var self = this;
        var scanResult = function (scanText) {
            return new Promise(function (resolve, reject) {
                if (!__WEBPACK_IMPORTED_MODULE_4_lodash__["isEmpty"](scanText)) {
                    resolve('ok');
                    self.searchKey = scanText;
                    self.stockData = [];
                    self.init(); //刷新页面
                }
                else {
                    reject(Error('error'));
                }
            });
        };
        self.navCtrl.push('ScanPage', { callback: scanResult });
        // let self = this;
        // const modal = self.modalCtrl.create('ScanPage');
        // modal.onDidDismiss(data => {
        //   if(!_.isEmpty(data)){
        //     self.searchKey = data;
        //     self.stockData = [];
        //     self.init();//刷新页面
        //   }
        // });
        // modal.present();
    };
    /**
     * 监听enter键
     */
    StockPage.prototype.onSearchKeyUp = function (event) {
        if (event.keyCode == 13) {
            this.pageIndex = 1;
            this.stockData = [];
            this.getData();
        }
    };
    StockPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-stock',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\stock\stock.html"*/'<ion-header class="stock-header">\n  <ion-navbar color="primary">\n    <ion-title>库存查询</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-row class="search-row">\n      <ion-icon class="search-icon" name="ios-search" (click)="goSearch()"></ion-icon>\n      <ion-input placeholder="快速查询商品" [(ngModel)]="searchKey" (keypress)="onSearchKeyUp($event)" ></ion-input>\n      <div (click)="goScan()">\n        <ion-icon class="search-qrScan" name="qr-scanner"></ion-icon>\n        <div class="search-qrTitle">扫一扫</div>\n      </div>\n    </ion-row>\n  </div>\n</ion-header>\n<ion-content class="stock-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div class="stock-info" *ngFor="let item of stockData" (click)="goDetail(item)">\n    <div class="stock-title">\n      <div class="context" text-center>\n        {{item.spmch}}\n        <!-- {{item.shpgg}}<span *ngIf="item.shpgg&&item.dw">/</span>{{item.dw}} -->\n      </div>\n      <div class="desc" text-center>{{item.shengccj}}</div>\n    </div>\n    <div class="stock-context">\n      <ion-row>\n        <ion-col col-8>规格:{{item.shpgg}}</ion-col>\n        <ion-col col-4>单位:{{item.dw}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>零售价:￥{{item.lshj}}</ion-col>\n        <ion-col col-7>成本价:￥{{item.chbdj}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>库存:<span class="stock-amount">{{item.kcshl}}</span></ion-col>  \n        <ion-col col-7>库存金额:￥{{item.kcje}}</ion-col>\n      </ion-row>\n    </div>\n    <ion-row>\n      <ion-col col-8 *ngIf="item.spbh">编号:{{item.spbh}}</ion-col>\n      <ion-col col-4 text-right>详情\n        <ion-icon class="right-icon" mode="ios" name="ios-arrow-forward"></ion-icon>\n      </ion-col>\n    </ion-row>\n  </div>\n  <div class="result_empty" *ngIf="stockData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\stock\stock.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], StockPage);
    return StockPage;
}());

//# sourceMappingURL=stock.js.map

/***/ })

});
//# sourceMappingURL=4.js.map