webpackJsonp([7],{

/***/ 829:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SaleReportPageModule", function() { return SaleReportPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__report__ = __webpack_require__(867);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_components_module__ = __webpack_require__(408);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 销售速报页懒加载
* by zxl 20180917
* */




var SaleReportPageModule = /** @class */ (function () {
    function SaleReportPageModule() {
    }
    SaleReportPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__report__["a" /* SaleReportPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_components_module__["a" /* ComponentsModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__report__["a" /* SaleReportPage */])
            ]
        })
    ], SaleReportPageModule);
    return SaleReportPageModule;
}());

//# sourceMappingURL=report.module.js.map

/***/ }),

/***/ 867:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SaleReportPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 销售速报页
* 用于展示销售报表如：销售额，毛利额，客流量等
* By zxl 20180913
* */




var SaleReportPage = /** @class */ (function () {
    function SaleReportPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.lx = '1'; //1:按天 2:按周 3:按月 4:按年
        this.isLoading = true; //正在加载
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    /*
      *  进入页面时，加载数据
      * */
    SaleReportPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
    * 初始化获取数据
    * */
    SaleReportPage.prototype.init = function () {
        this.isLoading = true;
        this.getData(); //获取数据
    };
    /*
    *  改变机构
    * */
    SaleReportPage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            if (self.currentOrg.jgid !== data.jgid) {
                self.currentOrg = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /*切换segment,每次切换重新获取数据*/
    SaleReportPage.prototype.changeSgm = function () {
        this.init();
    };
    /*获取后台数据*/
    SaleReportPage.prototype.getData = function () {
        var self = this;
        var arg1 = { cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.sale, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        var arg2 = { cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.saleCustom, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        self.appService.httpPost(arg1, function (data1) {
            self.appService.httpPost(arg2, function (data2) {
                self.isLoading = false;
                if (data1 && data2 && data1.length == 3 && data2.length == 3) {
                    if (data1[0].rq == data2[0].rq && data1[1].rq == data2[1].rq && data1[2].rq == data2[2].rq) {
                        self.configList = self.formatData(data1, data2); //数据列表
                    }
                    else {
                        self.appService.alert('后台数据出错:日期出错');
                    }
                }
                else {
                    self.appService.alert('后台数据出错');
                }
            });
        });
    };
    /*格式化数据*/
    SaleReportPage.prototype.formatData = function (data1, data2) {
        var xData, saleSData, mlSData, klSData;
        xData = this.getXData(data1);
        saleSData = [data1[0].hsje, data1[1].hsje, data1[2].hsje];
        mlSData = [data1[0].ml, data1[1].ml, data1[2].ml];
        klSData = [data2[0].allflow, data2[1].allflow, data2[2].allflow];
        var saleConfig = this.getConfig('销售额', '元', xData, saleSData);
        var mlConfig = this.getConfig('毛利额', '元', xData, mlSData);
        var klConfig = this.getConfig('客流量', '人', xData, klSData);
        return [saleConfig, mlConfig, klConfig];
    };
    SaleReportPage.prototype.getXData = function (data1) {
        var xData;
        if (this.lx == '1') {
            xData = [data1[0].rq, data1[1].rq, data1[2].rq];
        }
        else if (this.lx == '2') {
            xData = ['上上周', '上周', '本周'];
        }
        else if (this.lx == '3') {
            xData = [data1[0].monthstr + '月', data1[1].monthstr + '月', data1[2].monthstr + '月'];
        }
        else if (this.lx == '4') {
            xData = [data1[0].yearstr + '年', data1[1].yearstr + '年', data1[2].yearstr + '年'];
        }
        return xData;
    };
    /*获取echarts的config*/
    SaleReportPage.prototype.getConfig = function (title, unit, xData, sData) {
        return {
            color: ['#3398DB'],
            title: {
                left: 'center',
                text: title
            },
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '2%',
                right: '3%',
                bottom: '3%',
                containLabel: true
            },
            xAxis: [
                {
                    type: 'category',
                    data: xData,
                    axisTick: {
                        alignWithLabel: true
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value',
                    name: unit,
                }
            ],
            series: [
                {
                    type: 'bar',
                    barWidth: '60%',
                    data: sData,
                    label: {
                        normal: {
                            show: true,
                            position: 'top',
                            //position: 'insideTop',
                            //distance: -16,
                            formatter: function (params) {
                                if (params.value > 0) {
                                    return params.value;
                                }
                                else {
                                    return '';
                                }
                            }
                        }
                    }
                }
            ]
        };
    };
    SaleReportPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-sale-report',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\sale\report\report.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>销售速报</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="1">按天</ion-segment-button>\n      <ion-segment-button value="2">按周</ion-segment-button>\n      <ion-segment-button value="3">按月</ion-segment-button>\n      <ion-segment-button value="4">按年</ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="report">\n  <div>\n    <ion-card *ngFor="let item of configList">\n      <ion-card-content>\n        <echart-pie [config]="item" [cheight]="220"></echart-pie>\n      </ion-card-content>\n    </ion-card>\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\sale\report\report.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */]])
    ], SaleReportPage);
    return SaleReportPage;
}());

//# sourceMappingURL=report.js.map

/***/ })

});
//# sourceMappingURL=7.js.map