webpackJsonp([9],{

/***/ 827:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SaleDetailPageModule", function() { return SaleDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__detail__ = __webpack_require__(865);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 销售详情页懒加载
* by zxl 20180917
* */



var SaleDetailPageModule = /** @class */ (function () {
    function SaleDetailPageModule() {
    }
    SaleDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__detail__["a" /* SaleDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__detail__["a" /* SaleDetailPage */])
            ]
        })
    ], SaleDetailPageModule);
    return SaleDetailPageModule;
}());

//# sourceMappingURL=detail.module.js.map

/***/ }),

/***/ 865:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SaleDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_config__ = __webpack_require__(406);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_lodash__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 销售详情页
* 用于展示销售的具体情况如：会员销售，客流量，客品次等
* By zxl 20180913
* */





var SaleDetailPage = /** @class */ (function () {
    function SaleDetailPage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.lx = '1'; //1:按天 2:按周 3:按月 4:按年
        this.saleDetail = [];
        this.tHead = [];
        this.tBody = [];
        this.isLoading = true;
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
    }
    /*
    *  进入页面时，加载数据
    * */
    SaleDetailPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
    * 初始化获取数据
    * */
    SaleDetailPage.prototype.init = function (refresher) {
        this.getTitle(); //获取标题
        this.getData(refresher); //获取数据
    };
    /*
    *  改变机构
    * */
    SaleDetailPage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.init(); //刷新页面
        });
        modal.present();
    };
    /*
    * 上拉刷新获取数据
    * */
    SaleDetailPage.prototype.doRefresh = function (refresher) {
        this.init(refresher);
    };
    /*切换segment,每次切换重新获取数据*/
    SaleDetailPage.prototype.changeSgm = function () {
        this.init();
    };
    /*
    * 获取后台数据
    * */
    SaleDetailPage.prototype.getData = function (refresher) {
        var self = this;
        self.isLoading = true;
        this.saleDetail = []; //取数据前初始化数据
        this.tBody = [];
        var args = { cmd: __WEBPACK_IMPORTED_MODULE_2__providers_app_config__["a" /* AppConfig */].API.saleDetail, json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx } };
        this.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.saleDetail = data;
                self.tBody = self.formatData(data);
            }
            if (refresher)
                refresher.complete();
            self.isLoading = false;
        });
    };
    /*
    * format返回结果
    * */
    SaleDetailPage.prototype.formatData = function (data) {
        var result = []; //返回结果
        var tmp = [];
        var self = this;
        __WEBPACK_IMPORTED_MODULE_4_lodash__["each"](data, function (d) {
            var t = [];
            __WEBPACK_IMPORTED_MODULE_4_lodash__["each"](d, function (v, k) {
                if (self.getMap(k)) {
                    t.push({ name: self.getMap(k), value: v });
                }
            });
            tmp.push(__WEBPACK_IMPORTED_MODULE_4_lodash__["sortBy"](t, function (e) { return e.name; }));
        });
        for (var i = 0; i < tmp[0].length; i++) {
            var e = { name: tmp[0][i].name, val1: tmp[0][i].value, val2: '0' };
            if (tmp.length == 2) {
                e.val2 = tmp[1][i].value;
            }
            result.push(e);
        }
        return result;
    };
    /*获取标题*/
    SaleDetailPage.prototype.getTitle = function () {
        var self = this;
        switch (self.lx) {
            case '1':
                self.tHead = ['昨天', '今天'];
                break;
            case '2':
                self.tHead = ['上周', '本周'];
                break;
            case '3':
                self.tHead = ['上月', '本月'];
                break;
            case '4':
                self.tHead = ['去年', '今年'];
                break;
        }
    };
    /*获取map*/
    SaleDetailPage.prototype.getMap = function (v) {
        var map = { 'memje': '01_会员销售额', 'memzb': '02_会员销售占比',
            'custflow': '03_客流量', 'custprice': '04_客单价',
            'custpc': '05_客品次', 'newmemnum': '06_新增会员数' };
        return map[v];
    };
    SaleDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-sale-detail',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\sale\detail\detail.html"*/'<ion-header>\n  <ion-navbar  color="primary">\n    <ion-title>销售详情</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()"> {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon></div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="1">按天</ion-segment-button>\n      <ion-segment-button value="2">按周</ion-segment-button>\n      <ion-segment-button value="3">按月</ion-segment-button>\n      <ion-segment-button value="4">按年</ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="sale-detail" >\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <div *ngIf="!isLoading && saleDetail.length>0">\n    <ion-row class="detail">\n      <ion-col col-6 *ngFor="let item of saleDetail;let i = index;"\n               [ngClass]="{\'show-detail1\': i==0, \'show-detail2\': i==1}">\n        <div>{{tHead[i]}}销售(元)</div>\n        <h2>{{item.hsje}}</h2>\n        <div class="detail-ml">毛利额：{{item.ml}}</div>\n        <div class="detail-ml">毛利率：{{item.mll}}<span *ngIf="item.mll && item.mll!=0">%</span></div>\n      </ion-col>\n    </ion-row>\n    <div class="detail-table">\n      <table>\n        <thead>\n          <tr>\n            <th>类型</th>\n            <th *ngFor="let item of tHead">{{item}}</th>\n          </tr>\n        </thead>\n        <tbody>\n          <tr *ngFor="let item of tBody">\n            <td>{{item.name.split(\'_\')[1]}}</td>\n            <td>{{item.val1}}</td>\n            <td>{{item.val2}}\n              <span *ngIf="item.val2>item.val1">↑</span>\n            </td>\n          </tr>\n        </tbody>\n      </table>\n    </div>\n  </div>\n  <div *ngIf="!isLoading && saleDetail.length==0" class="result_empty">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    正在卖力加载中......\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\sale\detail\detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_3__providers_app_service__["a" /* AppService */]])
    ], SaleDetailPage);
    return SaleDetailPage;
}());

//# sourceMappingURL=detail.js.map

/***/ })

});
//# sourceMappingURL=9.js.map