webpackJsonp([16],{

/***/ 820:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PrescriptionUploadPageModule", function() { return PrescriptionUploadPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__prescription_upload__ = __webpack_require__(858);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PrescriptionUploadPageModule = /** @class */ (function () {
    function PrescriptionUploadPageModule() {
    }
    PrescriptionUploadPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__prescription_upload__["a" /* PrescriptionUploadPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__prescription_upload__["a" /* PrescriptionUploadPage */])
            ]
        })
    ], PrescriptionUploadPageModule);
    return PrescriptionUploadPageModule;
}());

//# sourceMappingURL=prescription-upload.module.js.map

/***/ }),

/***/ 858:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PrescriptionUploadPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_camera__ = __webpack_require__(412);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_common_http__ = __webpack_require__(221);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var PrescriptionUploadPage = /** @class */ (function () {
    function PrescriptionUploadPage(camera, navCtrl, appService, actionSheetController, loadingCtrl, httpClient) {
        this.camera = camera;
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.actionSheetController = actionSheetController;
        this.loadingCtrl = loadingCtrl;
        this.httpClient = httpClient;
        this.imgs = [];
        this.busyname = '';
        this.uploader = '';
        this.scanRes = {};
    }
    PrescriptionUploadPage.prototype.del = function (index) {
        this.imgs.splice(index, 1);
    };
    //扫一扫
    PrescriptionUploadPage.prototype.scan = function () {
        var _this = this;
        var scanResult = function (scanText) {
            return new Promise(function (resolve, reject) {
                if (!__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](scanText)) {
                    resolve('ok');
                    _this.scanRes = JSON.parse(scanText);
                    _this.busyname = _this.scanRes['busyname'];
                    _this.uploader = _this.scanRes['uploader'];
                }
                else {
                    reject(Error('出错了，请重试！！！'));
                }
            });
        };
        this.navCtrl.push('ScanPage', { callback: scanResult });
    };
    PrescriptionUploadPage.prototype.upload = function () {
        var _this = this;
        if (__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](this.scanRes['uploader'])) {
            this.appService.alert('用户名不能为空！！！');
            return;
        }
        else if (__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](this.scanRes['busyname'])) {
            this.appService.alert('业务类型不能为空！！！');
            return;
        }
        else if (__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](this.scanRes['serviceurl'])) {
            this.appService.alert('服务地址不能为空！！！');
            return;
        }
        else if (this.imgs.length == 0) {
            this.appService.alert('需要加入图片！！！');
            return;
        }
        var args = __WEBPACK_IMPORTED_MODULE_2_lodash__["extend"]({}, this.scanRes, { filelist: this.imgs });
        var loading = this.loadingCtrl.create({ content: '加载中...' });
        loading.present();
        var url = this.scanRes['serviceurl'];
        var httpHeader = { headers: { 'Content-Type': 'text/plain' } };
        this.httpClient.post(url, args, httpHeader).timeout(30000).subscribe(function (res) {
            loading.dismiss();
            if (!__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](res) && typeof res == 'object') {
                if (res.resultCode == '0') {
                    _this.appService.alert('上传成功！！！');
                    _this.imgs = [];
                }
                else {
                    _this.appService.alert(res.message);
                }
            }
            else {
                _this.appService.alert('后台错误，请稍后重试!');
            }
        }, function (error) {
            loading.dismiss();
            _this.appService.alert(error);
        });
    };
    // 选择相机 或者 相册
    PrescriptionUploadPage.prototype.openBar = function () {
        var _this = this;
        var actionSheet = this.actionSheetController.create({
            buttons: [
                {
                    text: '相机',
                    role: 'destructive',
                    handler: function () {
                        console.log('Destructive clicked');
                        _this.openCamera(true);
                    }
                },
                {
                    text: '相册',
                    handler: function () {
                        _this.openCamera(false);
                        // this.chooseFromAlbum();
                    }
                },
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                }
            ]
        });
        actionSheet.present();
    };
    //开启相机camera
    PrescriptionUploadPage.prototype.openCamera = function (type) {
        var _this = this;
        var options = {
            quality: 50,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: type ? this.camera.PictureSourceType.CAMERA : this.camera.PictureSourceType.PHOTOLIBRARY,
            // sourceType:this.camera.PictureSourceType.CAMERA,
            saveToPhotoAlbum: true
        };
        var loading = this.loadingCtrl.create({ content: '加载中...' });
        loading.present();
        this.camera.getPicture(options).then(function (imageData) {
            loading.dismiss();
            _this.imgs.push(imageData);
        }, function (err) {
            loading.dismiss();
        });
    };
    PrescriptionUploadPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-prescription-upload',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\prescription-upload\prescription-upload.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>处方上传</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n  <div class="myinput">\n    <ion-row>\n       <label class="mylabel">用户名:</label>\n      <ion-input [(ngModel)]="uploader" disabled></ion-input>\n      <ion-icon name="expand" class="myscan" (click)="scan()" ></ion-icon>\n    </ion-row>\n    <ion-row>\n       <label class="mylabel">业务类型:</label>\n      <ion-input [(ngModel)]="busyname" disabled></ion-input>\n    </ion-row>\n  </div>\n  <div class="picture">\n    <div class="pictureList">\n      <div *ngIf="imgs.length!=0">\n        <div *ngFor="let item of imgs; let i = index" class="ulli">\n          <div class="myimage">\n            <img src="data:image/jpeg;base64,{{item}}"/>\n            <ion-icon name="close" class="mydel" (click)="del(i)"></ion-icon>\n          </div>\n        </div>\n      </div>\n      <div>\n        <div class="ulli">\n          <div (click)="openBar()" class="myimage">\n            <ion-icon name="image" class="myicon"></ion-icon>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <button ion-button block (click)="upload()">提交</button>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\prescription-upload\prescription-upload.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__ionic_native_camera__["a" /* Camera */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_4__providers_app_service__["a" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_5__angular_common_http__["a" /* HttpClient */]])
    ], PrescriptionUploadPage);
    return PrescriptionUploadPage;
}());

//# sourceMappingURL=prescription-upload.js.map

/***/ })

});
//# sourceMappingURL=16.js.map