webpackJsonp([18],{

/***/ 818:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PerformDetailPageModule", function() { return PerformDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__performDetail__ = __webpack_require__(856);
/**
 * 员工销售详情懒加载
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PerformDetailPageModule = /** @class */ (function () {
    function PerformDetailPageModule() {
    }
    PerformDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__performDetail__["a" /* PerformDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__performDetail__["a" /* PerformDetailPage */])
            ]
        })
    ], PerformDetailPageModule);
    return PerformDetailPageModule;
}());

//# sourceMappingURL=performDetail.module.js.map

/***/ }),

/***/ 856:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PerformDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
/**
 * Created by fll on 2018/10/3.
 * 员工销售详情
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var PerformDetailPage = /** @class */ (function () {
    function PerformDetailPage(navCtrl, appService, navParams) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.navParams = navParams;
        this.userData = {};
        this.employee = {};
        this.name = '';
        this.lx = '';
        this.detailData = [];
        this.isLoading = true;
        this.pageIndex = 1;
        this.scrollFlag = false;
        this.currentOrg = {};
        this.loadingText = '正在卖力加载中......';
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
        this.employee = this.navParams.get("data");
        this.name = this.employee.ywymc;
        this.lx = this.navParams.get("lx");
    }
    /*
     *  进入页面时，加载数据
     * */
    PerformDetailPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    PerformDetailPage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    PerformDetailPage.prototype.doRefresh = function (refresher) {
        this.detailData = [];
        this.init(refresher);
    };
    /**
     * 获取员工销售详情列表
     * @param refresher
     */
    PerformDetailPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.commissionDetail,
            json: {
                "usid": self.userData.usid,
                "jgid": self.currentOrg.jgid,
                "lx": self.lx,
                "pagesize": __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                "pageindex": this.pageIndex,
                "ywy": self.employee['ywy']
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.detailData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    PerformDetailPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.commissionDetail,
            json: {
                "usid": self.userData.usid,
                "jgid": self.currentOrg.jgid,
                "lx": self.lx,
                "pagesize": __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                "pageindex": self.pageIndex,
                "ywy": self.employee['ywy']
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.detailData = self.detailData.concat(data);
                if (infiniteScroll) {
                    self.detailData = self.detailData.concat(data);
                    infiniteScroll.complete();
                    if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                        infiniteScroll.enable(false);
                    }
                    self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                    if (!self.scrollFlag) {
                        self.isLoading = true;
                        self.loadingText = '没有更多数据了!';
                    }
                }
            }
        });
    };
    PerformDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-performDetail',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\performance\detail\performDetail.html"*/'<ion-header class="performance-detail-header">\n  <ion-navbar color="primary">\n    <ion-title>员工提成---{{name}}</ion-title>\n  </ion-navbar>\n  <div class="org-title" >\n    <span class="title">{{currentOrg.orgname}}</span>\n  </div>\n</ion-header>\n<ion-content class="performance-detail-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list *ngIf="detailData.length !=0">\n    <ion-row class="detail-item">\n      <ion-col col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4>\n        编号/品名\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        数量\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        销售额\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        提成额\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        提成方式\n      </ion-col>\n    </ion-row>\n    <ion-row *ngFor="let item of detailData;let i = index;"  [ngClass]="{\'show-even\': i%2==1,\'detail-item\': i%2==0}">\n      <ion-col col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4>\n        <span>{{item.spbh}}/{{item.spmch}}</span>\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        <span>{{item.shl}}</span>\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        <span>￥{{item.hsje}}</span>\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        <span  style="color: red;">￥{{item.tcje}}</span>\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2>\n        <span>{{item.tclx}}</span>\n      </ion-col>\n    </ion-row>\n  </ion-list>\n  <div class="result_empty" *ngIf="detailData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\performance\detail\performDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], PerformDetailPage);
    return PerformDetailPage;
}());

//# sourceMappingURL=performDetail.js.map

/***/ })

});
//# sourceMappingURL=18.js.map