webpackJsonp([19],{

/***/ 817:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewProductPageModule", function() { return NewProductPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__new_product__ = __webpack_require__(855);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 新增品种懒加载
* by zxl 20180917
* */



var NewProductPageModule = /** @class */ (function () {
    function NewProductPageModule() {
    }
    NewProductPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__new_product__["a" /* NewProductPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__new_product__["a" /* NewProductPage */])
            ]
        })
    ], NewProductPageModule);
    return NewProductPageModule;
}());

//# sourceMappingURL=new-product.module.js.map

/***/ }),

/***/ 855:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewProductPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 新增品种
* By zxl 20180913
* */




var NewProductPage = /** @class */ (function () {
    function NewProductPage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.lx = '1'; //1:当天实时 2:近7天 3:近30天 4:近一年
        this.newGoodsData = [];
        this.scrollFlag = true;
        this.currentOrg = {};
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
    }
    /*
     *  进入页面时，加载数据
     * */
    NewProductPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    NewProductPage.prototype.init = function (refresher) {
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    NewProductPage.prototype.doRefresh = function (refresher) {
        this.pageIndex = 1;
        this.newGoodsData = [];
        this.init(refresher);
    };
    /**
     * 获取货品滞销列表
     * @param refresher
     */
    NewProductPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.newProduct,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.newGoodsData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    NewProductPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.newProduct,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.newGoodsData = self.newGoodsData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    /**
     * 时间segment选择切换
     */
    NewProductPage.prototype.changeDate = function () {
        this.isLoading = true;
        this.pageIndex = 1;
        this.newGoodsData = [];
        this.getData();
    };
    /**
     * 门店机构切换
     */
    NewProductPage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.pageIndex = 1;
            self.newGoodsData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    NewProductPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-new-product',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\new-product\new-product.html"*/'<ion-header class="new-product-header">\n  <ion-navbar color="primary">\n    <ion-title>新增品种</ion-title>\n  </ion-navbar>\n  <div padding  class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" class="segment-content" mode="ios" color="basic"\n                 (ionChange)="changeDate($event)">\n      <ion-segment-button value="1">\n        当天\n      </ion-segment-button>\n      <ion-segment-button value="2">\n        近七天\n      </ion-segment-button>\n      <ion-segment-button value="3">\n        近30天\n      </ion-segment-button>\n      <ion-segment-button value="4">\n        近1年\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="new-product-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div *ngFor="let item of newGoodsData"  class="data-item">\n    <div class="title">({{item.spbh}}){{item.spmch}}</div>\n    <div padding>\n      <ion-row>\n        <ion-col col-4>规格/单位</ion-col>\n        <ion-col col-8>{{item.shpgg}}<span *ngIf="item.shpgg&&item.dw">/</span>{{item.dw}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-4>生产厂家</ion-col>\n        <ion-col col-8>{{item.shengccj}}</ion-col>\n      </ion-row>\n    </div>\n  </div>\n  <div class="result_empty" *ngIf="newGoodsData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\new-product\new-product.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], NewProductPage);
    return NewProductPage;
}());

//# sourceMappingURL=new-product.js.map

/***/ })

});
//# sourceMappingURL=19.js.map