webpackJsonp([3],{

/***/ 833:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UnsalablePageModule", function() { return UnsalablePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__unsalableDetail__ = __webpack_require__(871);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
 * 滞销品种详情页懒加载
 * by fll 20181005
 * */



var UnsalablePageModule = /** @class */ (function () {
    function UnsalablePageModule() {
    }
    UnsalablePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__unsalableDetail__["a" /* UnsalableDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__unsalableDetail__["a" /* UnsalableDetailPage */])
            ]
        })
    ], UnsalablePageModule);
    return UnsalablePageModule;
}());

//# sourceMappingURL=unsalableDetail.module.js.map

/***/ }),

/***/ 871:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UnsalableDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
/**
 * Created by fll on 2018/10/4.
 * 滞销品种详情
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var UnsalableDetailPage = /** @class */ (function () {
    function UnsalableDetailPage(navCtrl, appService, navParams) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.navParams = navParams;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.nosalelx = '1'; //1:当天 2:当周 3:当月 4:当年
        this.detailData = [];
        this.scrollFlag = true;
        this.goods = {};
        this.currentOrg = {};
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
        this.goods = this.navParams.get("data");
        this.nosalelx = this.navParams.get("lx");
    }
    /*
     *  进入页面时，加载数据
     * */
    UnsalableDetailPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    UnsalableDetailPage.prototype.init = function (refresher) {
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    UnsalableDetailPage.prototype.doRefresh = function (refresher) {
        this.pageIndex = 1;
        this.detailData = [];
        this.init(refresher);
    };
    /**
     * 获取详情列表
     * @param refresher
     */
    UnsalableDetailPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.unsalableDetail,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                spid: self.goods.spid,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: this.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.detailData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    UnsalableDetailPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.unsalableDetail,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                spid: self.goods.spid,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.detailData = self.detailData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    UnsalableDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["m" /* Component */])({
            selector: 'page-unsalableDetail',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\unsalable\detail\unsalableDetail.html"*/'<ion-header class="unsalable-header">\n  <ion-navbar color="primary">\n    <ion-title>滞销品种</ion-title>\n  </ion-navbar>\n  <div class="org-title" >\n    <span class="title">{{currentOrg.orgname}}</span>\n  </div>\n</ion-header>\n\n<ion-content class="unsalable-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list>\n    <div class="data-title">\n      <div class="title">({{goods.spbh}}){{goods.spmch}}&nbsp;&nbsp;&nbsp;{{goods.dw}}</div>\n      <div class="subTitle">{{goods.shengccj}}</div>\n    </div>\n    <div *ngFor="let item of detailData" class="data-item" >\n      <ion-row>\n        <ion-col col-5>批次</ion-col>\n        <ion-col col-7>{{item.pici}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>批号</ion-col>\n        <ion-col col-7>{{item.pihao}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>进货时间</ion-col>\n        <ion-col col-7>{{item.rq}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>滞销天数</ion-col>\n        <ion-col col-7 class="unsalable-day">{{item.nosaledays}}天</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>剩余库存</ion-col>\n        <ion-col col-7>{{item.shl}}</ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col col-5>剩余库存总金额</ion-col>\n        <ion-col col-7>￥{{item.kcje}}</ion-col>\n      </ion-row>\n    </div>\n  </ion-list>\n  <div class="result_empty" *ngIf="detailData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\unsalable\detail\unsalableDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["k" /* NavParams */]])
    ], UnsalableDetailPage);
    return UnsalableDetailPage;
}());

//# sourceMappingURL=unsalableDetail.js.map

/***/ })

});
//# sourceMappingURL=3.js.map