webpackJsonp([31],{

/***/ 805:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CommissionPageModule", function() { return CommissionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__commission__ = __webpack_require__(843);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 员工提成懒加载
* by zxl 20180917
* */



var CommissionPageModule = /** @class */ (function () {
    function CommissionPageModule() {
    }
    CommissionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__commission__["a" /* CommissionPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__commission__["a" /* CommissionPage */])
            ]
        })
    ], CommissionPageModule);
    return CommissionPageModule;
}());

//# sourceMappingURL=commission.module.js.map

/***/ }),

/***/ 843:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CommissionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 员工提成首页
* By zxl 20180913
* */




var CommissionPage = /** @class */ (function () {
    function CommissionPage(navCtrl, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.userData = {};
        this.isLoading = true;
        this.pageIndex = 1;
        this.lx = '1'; //1:当天 2:当周 3:当月 4:当年
        this.staffData = [];
        this.scrollFlag = true;
        this.currentOrg = {};
        this.loadingText = '正在卖力加载中......';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
    }
    /*
     *  进入页面时，加载数据,每次都会执行
     * */
    CommissionPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    CommissionPage.prototype.init = function (refresher) {
        this.pageIndex = 1;
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    CommissionPage.prototype.doRefresh = function (refresher) {
        this.staffData = [];
        this.init(refresher);
    };
    /**
     * 获取员工提成列表
     * @param refresher
     */
    CommissionPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.commission,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: this.pageIndex,
                yearmonth: ""
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.staffData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
        // let result = [];
        // setTimeout(function () {
        //   for (var i = 0; i< 10; i++){
        //     result.push({ywymc: '小菜' + i, jgid: 'A002', xsml:'', ywy: i+'', hsje:'',
        //       shl:'', cbje:'', je:'', zrow:'', tcje: 100});
        //   }
        //   self.staffData = result;
        //   if(refresher) refresher.complete();
        //   self.scrollFlag = result.length < AppConfig.pageSize? false: true;
        //   self.isLoading = false;
        // },3000);
    };
    /**
     * 上拉加载更多
     * @param infiniteScorll
     */
    CommissionPage.prototype.loadMore = function (infiniteScroll) {
        var self = this;
        //TODO 此处替换HTTP请求
        self.pageIndex++;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.commission,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                lx: self.lx,
                pagesize: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize,
                pageindex: self.pageIndex,
                yearmonth: ""
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data && data.length > 0) {
                self.staffData = self.staffData.concat(data);
            }
            if (infiniteScroll) {
                infiniteScroll.complete();
                if (data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize) {
                    infiniteScroll.enable(false);
                }
                self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
                if (!self.scrollFlag) {
                    self.isLoading = true;
                    self.loadingText = '没有更多数据了!';
                }
            }
        });
    };
    /**
     * 获取员工提成详情
     * @param item 员工单项
     */
    CommissionPage.prototype.goDetail = function (item) {
        //this.navCtrl.push('ComDetailPage',{data: item, lx: this.lx});
        this.navCtrl.push('PerformDetailPage', { data: item, lx: this.lx });
    };
    /**
     * 时间segment选择切换
     */
    CommissionPage.prototype.changeDate = function () {
        this.pageIndex = 1;
        this.staffData = [];
        this.getData();
    };
    /**
     * 门店机构切换
     */
    CommissionPage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.staffData = [];
            self.init(); //刷新页面
        });
        modal.present();
    };
    CommissionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-commission',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\commission\commission.html"*/'<ion-header class="commission-header">\n  <ion-navbar color="primary">\n    <ion-title>员工提成</ion-title>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      <span class="title">{{currentOrg.orgname}}</span>\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" class="segment-content" mode="ios" color="basic"\n                 (ionChange)="changeDate($event)">\n      <ion-segment-button value="1">\n        当天\n      </ion-segment-button>\n      <ion-segment-button value="2">\n        近7天\n      </ion-segment-button>\n      <ion-segment-button value="3">\n        近30天\n      </ion-segment-button>\n      <ion-segment-button value="4">\n        近一年\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n<ion-content class="commission-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list>\n    <ion-row *ngFor="let item of staffData"  class="data-item" (click)="goDetail(item)">\n      <ion-col col-5 col-sm-5 col-md-5 col-lg-5 col-xl-5 >\n        <span class="title">{{item.ywymc}}</span>\n      </ion-col>\n      <ion-col col-5 col-sm-5 col-md-5 col-lg-5 col-xl-5 >\n        <span class="title" style="color: #ff0000;">￥{{item.tcje}}</span>\n      </ion-col>\n      <ion-col col-2 col-sm-2 col-md-2 col-lg-2 col-xl-2 ><ion-icon class="right-icon" mode="ios" name="ios-arrow-forward"></ion-icon></ion-col>\n    </ion-row>\n  </ion-list>\n  <div class="result_empty" *ngIf="staffData.length==0 && !isLoading">\n    没有您要的数据，小e尽力了...\n  </div>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n  <ion-infinite-scroll *ngIf="scrollFlag" (ionInfinite)="loadMore($event)">\n    <ion-infinite-scroll-content></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\commission\commission.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], CommissionPage);
    return CommissionPage;
}());

//# sourceMappingURL=commission.js.map

/***/ })

});
//# sourceMappingURL=31.js.map