webpackJsonp([35],{

/***/ 801:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "BestSalePageModule", function() { return BestSalePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__best_sale__ = __webpack_require__(839);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
* 首页懒加载
* by zxl 20180917
* */



var BestSalePageModule = /** @class */ (function () {
    function BestSalePageModule() {
    }
    BestSalePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__best_sale__["a" /* BestSalePage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__best_sale__["a" /* BestSalePage */])
            ]
        })
    ], BestSalePageModule);
    return BestSalePageModule;
}());

//# sourceMappingURL=best-sale.module.js.map

/***/ }),

/***/ 839:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BestSalePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash__ = __webpack_require__(407);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
* 畅销榜
* By zxl 20180913
* */





var BestSalePage = /** @class */ (function () {
    function BestSalePage(navCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.userData = {};
        this.currentOrg = {}; //当前选定机构
        this.pageIndex = 1;
        this.lxList = [{ name: '当天', value: '1' }, { name: '近7天', value: '2' },
            { name: '近30天', value: '3' }, { name: '近一年', value: '4' }];
        this.lx = ''; //1:按天 2:按周 3:按月 4:按年
        this.orderByList = [{ name: '销售量', value: 'bestSaleCount' },
            { name: '销售额', value: 'bestSaleJe' }, { name: '毛利额', value: 'bestSaleMl' }];
        this.orderByLx = '';
        this.bestSaleData = [];
        this.isScrollShow = true;
        this.bestSaleTop = '';
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg"); //当前结构
        this.bestSaleTop = this.handleBestSaleTop();
        this.orderByLx = this.orderByList[0].value;
        this.lx = this.lxList[0].value;
    }
    /*
     *  进入页面时，加载数据
     * */
    BestSalePage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
    * 初始化获取数据
    * */
    BestSalePage.prototype.init = function (refresher) {
        this.bestSaleData = [];
        this.pageIndex = 1;
        this.isScrollShow = true;
        this.getData(refresher); //获取数据
    };
    /*
    *  改变机构
    * */
    BestSalePage.prototype.changeOrg = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            if (self.currentOrg.jgid !== data.jgid) {
                self.currentOrg = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /*切换segment,每次切换重新获取数据*/
    BestSalePage.prototype.changeSgm = function () {
        this.init();
    };
    /*获取后台数据*/
    BestSalePage.prototype.getData = function (refresher) {
        var self = this;
        var currentBestSaleTop = __WEBPACK_IMPORTED_MODULE_2_lodash__["find"](this.bestSaleTop, function (e) {
            return e.lx == self.lx;
        });
        if (__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](currentBestSaleTop)) {
            self.appService.alert('后台系统出错$bestSaleTop$');
        }
        else {
            var arg = { cmd: __WEBPACK_IMPORTED_MODULE_4__providers_app_config__["a" /* AppConfig */].API[this.orderByLx],
                json: { usid: self.userData.usid, jgid: self.currentOrg.jgid, lx: self.lx, top: currentBestSaleTop.value,
                    pagesize: __WEBPACK_IMPORTED_MODULE_4__providers_app_config__["a" /* AppConfig */].pageSize,
                    pageindex: this.pageIndex } };
            self.appService.httpPost(arg, function (data) {
                self.pageIndex++;
                self.bestSaleData = self.bestSaleData.concat(data);
                self.isScrollShow = __WEBPACK_IMPORTED_MODULE_4__providers_app_config__["a" /* AppConfig */].pageSize == data.length;
                if (refresher) {
                    refresher.complete();
                }
            });
        }
    };
    // 滚动获取
    BestSalePage.prototype.doInfinite = function (infiniteScroll) {
        this.getData(infiniteScroll);
    };
    BestSalePage.prototype.doRefresh = function (refresher) {
        this.init(refresher);
    };
    /*开启排序*/
    BestSalePage.prototype.doOrderBy = function (item) {
        this.orderByLx = item.value;
        this.init();
    };
    /*编辑排行榜*/
    BestSalePage.prototype.doEdit = function () {
        var self = this;
        var modal = this.modalCtrl.create('ChangeBestSaleTopPage', { lxList: self.lxList, lx: self.lx });
        modal.onDidDismiss(function (data) {
            if (self.bestSaleTop !== data) {
                self.bestSaleTop = data; // 刷新机构
                self.init(); //刷新页面
            }
        });
        modal.present();
    };
    /* 获取 bestSaleTop*/
    BestSalePage.prototype.handleBestSaleTop = function () {
        var result = [];
        var bestSaleTop = this.appService.getPassData("bestSaleTop"); //当前排行榜
        if (__WEBPACK_IMPORTED_MODULE_2_lodash__["isEmpty"](bestSaleTop) || bestSaleTop.length != this.lxList.length) {
            __WEBPACK_IMPORTED_MODULE_2_lodash__["each"](this.lxList, function (e) {
                result.push({ name: e.name, value: '30', lx: e.value }); //TODO 默认排行为30;
            });
            this.appService.setPassData('bestSaleTop', result);
        }
        else {
            result = bestSaleTop;
        }
        return result;
    };
    BestSalePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-best-sale',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\best-sale\best-sale.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>畅销榜</ion-title>\n    <ion-buttons right>\n      <button ion-button icon-only (click)="doEdit()">\n        <ion-icon name="ios-create-outline" style="font-weight: bold;"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n  <div padding class="segment-content">\n    <div class="store-title" (click)="changeOrg()">\n      {{currentOrg.orgname}}\n      <ion-icon name="ios-arrow-forward-outline"></ion-icon>\n    </div>\n    <ion-segment [(ngModel)]="lx" mode="ios" color="basic"\n                 (ionChange)="changeSgm($event)">\n      <ion-segment-button value="{{item.value}}" *ngFor="let item of lxList">\n        {{item.name}}\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n</ion-header>\n\n<ion-content class="best-sale" >\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div *ngIf="bestSaleData.length!==0">\n    <ion-row class="title">\n      <ion-col col-6>编码/品名</ion-col>\n      <ion-col col-2 *ngFor="let item of orderByList" (click)="doOrderBy(item)" >\n        {{item.name}}\n        <ion-icon name="md-arrow-dropdown" [ngClass]="{\'current\':item.value==orderByLx}"></ion-icon>\n      </ion-col>\n    </ion-row>\n    <ion-row class="detail" *ngFor="let item of bestSaleData;let i = index;"\n             [ngClass]="{\'show-even\': i%2==1}">\n      <ion-col col-6>\n        <span [ngClass]="{\'first\':item.ranking==\'1\',\'second\':item.ranking==\'2\',\'third\':item.ranking==\'3\'}"\n        >{{item.ranking}}</span>\n        ({{item.spbh}}){{item.spmch}}</ion-col>\n      <ion-col col-2>{{item.shl}}</ion-col>\n      <ion-col col-2>￥{{item.hsje}}</ion-col>\n      <ion-col col-2>￥{{item.ml}}</ion-col>\n    </ion-row>\n  </div>\n  <div class="result_empty" *ngIf="bestSaleData.length==0">\n    没有您要的数据，小e尽力了...\n  </div>\n  <ion-infinite-scroll *ngIf="isScrollShow" (ionInfinite)="doInfinite($event)" >\n    <ion-infinite-scroll-content\n      loadingSpinner="circles"\n      loadingText="加载更多..."></ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\best-sale\best-sale.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_3__providers_app_service__["a" /* AppService */]])
    ], BestSalePage);
    return BestSalePage;
}());

//# sourceMappingURL=best-sale.js.map

/***/ })

});
//# sourceMappingURL=35.js.map