webpackJsonp([6],{

/***/ 830:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StockPageDetailModule", function() { return StockPageDetailModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__stockDetail__ = __webpack_require__(868);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
/*
 * 库存详情页懒加载
 * by fll 20181012
 * */



var StockPageDetailModule = /** @class */ (function () {
    function StockPageDetailModule() {
    }
    StockPageDetailModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__stockDetail__["a" /* StockDetailPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__stockDetail__["a" /* StockDetailPage */])
            ]
        })
    ], StockPageDetailModule);
    return StockPageDetailModule;
}());

//# sourceMappingURL=stockDetail.module.js.map

/***/ }),

/***/ 868:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StockDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_app_service__ = __webpack_require__(405);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_config__ = __webpack_require__(406);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/**
 * Created by fll on 2018/10/12.
 * 库存详情页
 */




var StockDetailPage = /** @class */ (function () {
    function StockDetailPage(navCtrl, appService, modalCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.navParams = navParams;
        this.userData = {};
        this.isLoading = true;
        this.detailData = [];
        this.scrollFlag = true;
        this.currentOrg = {};
        this.stockObj = {};
        //初始化
        this.userData = this.appService.getItem("userData");
        this.currentOrg = this.appService.getPassData("currentOrg");
        this.stockObj = this.navParams.get("data");
    }
    /*
     *  进入页面时，加载数据
     * */
    StockDetailPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    /*
     * 初始化获取数据
     * */
    StockDetailPage.prototype.init = function (refresher) {
        this.getData(refresher); //获取数据
    };
    /*
     * 上拉刷新获取数据
     * */
    StockDetailPage.prototype.doRefresh = function (refresher) {
        this.init(refresher);
    };
    /**
     * 获取货品滞销列表
     * @param refresher
     */
    StockDetailPage.prototype.getData = function (refresher) {
        var self = this;
        var args = {
            cmd: __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].API.stockDetail,
            json: {
                usid: self.userData.usid,
                jgid: self.currentOrg.jgid,
                spid: self.stockObj.spid,
            }
        };
        self.appService.httpPost(args, function (data) {
            if (data) {
                self.detailData = data;
            }
            if (refresher)
                refresher.complete();
            self.scrollFlag = data.length < __WEBPACK_IMPORTED_MODULE_3__providers_app_config__["a" /* AppConfig */].pageSize ? false : true;
            self.isLoading = false;
        });
    };
    /**
     * 门店机构切换
     */
    StockDetailPage.prototype.changeOrg = function () {
        var self = this;
        var modal = self.modalCtrl.create('ChangeOrgPage');
        modal.onDidDismiss(function (data) {
            self.currentOrg = data; // 刷新机构
            self.init(); //刷新页面
        });
        modal.present();
    };
    StockDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-stockdetail',template:/*ion-inline-start:"E:\SVN\b2cService\src\pages\home\stock\detail\stockDetail.html"*/'<ion-header class="stock-detail-header">\n  <ion-navbar color="primary">\n    <ion-title>单品详情</ion-title>\n  </ion-navbar>\n  <div class="org-title" >\n    <span class="title">{{currentOrg.orgname}}</span>\n  </div>\n</ion-header>\n<ion-content class="stock-detail-content">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-dropdown"\n      pullingText="上拉刷新"\n      refreshingSpinner="circles"\n      refreshingText="正在获取最新信息....">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-list>\n    <div class="stock-detail">\n      <div class="stock-detail-title">\n        <div class="title">{{stockObj.spmch}}</div>\n        <div class="subTitle">{{stockObj.shengccj}}</div>\n        <!-- <div class="special">库存总金额：￥{{stockObj.kcje}}</div> -->\n        <div  class="stock-detail-subInfo">\n          <ion-row>\n            <div col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 class="tag">零售价:￥{{stockObj.lshj}}</div>\n            <div col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 class="tag">总库存:<span style="color: #ff0000;">{{stockObj.kcshl}}</span></div>\n            <div col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 class="tag">单位:{{stockObj.dw}}</div>\n          </ion-row>\n          <!-- <ion-row>\n            <div col-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 class="tag">总库存</div>\n            <div col-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 class="tag">{{stockObj.kcshl}}</div>\n          </ion-row> -->\n          <ion-row>\n            <div col-5 col-sm-5 col-md-5 col-lg-5 col-xl-5 class="tag">成本价:￥{{stockObj.chbdj}}</div>\n            <div col-7 col-sm-7 col-md-7 col-lg-7 col-xl-7 class="tag">规格:{{stockObj.shpgg}}</div>\n            <!-- <div col-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 class="tag"></div> -->\n          </ion-row> \n          <ion-row>\n            <div col-5 col-sm-5 col-md-5 col-lg-5 col-xl-5 class="tag">编号:{{stockObj.spbh}}</div>\n            <div col-7 col-sm-7 col-md-7 col-lg-7 col-xl-7 class="tag">库存总金额：￥{{stockObj.kcje}}</div>\n            <!-- <div col-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 class="tag"></div> -->\n          </ion-row> \n        </div>\n      </div>\n      <div class="stock-detail-item" *ngIf="detailData.length>0 && !isLoading">\n        <div class="stock-detail-box"  *ngFor="let item of detailData">\n          <ion-row>\n          <ion-col col-5>批号:{{item.pihao}}</ion-col>\n          <ion-col col-7>进价:￥{{item.hsjj}}</ion-col>\n          </ion-row>\n          <ion-row>\n          <ion-col col-5>库存:<span style="color: #ff0000;">{{item.shl}}</span></ion-col>\n          <ion-col col-7>库存金额:￥{{item.kcje}}</ion-col>\n          </ion-row>\n          <ion-row>\n          <ion-col col-12>有效期:{{item.xiaoq}}</ion-col>\n          </ion-row>\n        </div>\n      </div>\n      <!-- <div class="stock-detail-item" *ngIf="detailData.length>0 && !isLoading">\n        <ion-row class="data-item">\n          <ion-row>\n          </ion-row>\n          <ion-col col-2>\n            批号\n          </ion-col>\n          <ion-col col-2>\n            进价\n          </ion-col>\n          <ion-col col-2>\n            库存量\n          </ion-col>\n          <ion-col col-3>\n            库存金额\n          </ion-col>\n          <ion-col col-3>\n            有效期\n          </ion-col>\n        </ion-row>\n        <ion-row  *ngFor="let item of detailData;let i = index;"  [ngClass]="{\'show-even\': i%2==1,\'data-item\': i%2==0}">\n          <ion-col col-2>\n            <span class="title">{{item.pihao}}</span>\n          </ion-col>\n          <ion-col col-2>\n            <span class="title">￥{{item.hsjj}}</span>\n          </ion-col>\n          <ion-col col-2>\n            <span>{{item.shl}}</span>\n          </ion-col>\n          <ion-col col-3>\n            <span class="title" style="color: #ff0000;">￥{{item.kcje}}</span>\n          </ion-col>\n          <ion-col col-3>\n            <span class="title">{{item.xiaoq}}</span>\n          </ion-col>\n        </ion-row>\n      </div> -->\n    </div>\n  </ion-list>\n  <div *ngIf="isLoading" class="result_empty">\n    {{loadingText}}\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\SVN\b2cService\src\pages\home\stock\detail\stockDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_app_service__["a" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], StockDetailPage);
    return StockDetailPage;
}());

//# sourceMappingURL=stockDetail.js.map

/***/ })

});
//# sourceMappingURL=6.js.map